{% extends "base.twig" %}
{% block title %}Code{% endblock %}
{% block include_css %}
    <link rel="stylesheet" type="text/css" href="{{ INCLUDE_RAINBOW_DIR }}/css/{{ project.theme }}.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/fileShow.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/comments.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <div class="col-12">
            <div id="path">
                <a href="/project/list/{{ admin.id }}">{{ admin.pseudo }}</a>
                <span> > </span>
                <a href="/project/manage/{{ project.id }}">{{ project.name }}</a>
                <span>> {{ file.name }}</span>
            </div>
        </div>
        <section class="file-container col-12">
            <h2>
                <img src="/assets/img/icon/file.png" height="50" width="50" alt="">
                {{ file.name }}
            </h2>

            <pre>
                <code data-language="{{ format.name }}">{{ file.content }}</code>
            </pre>
        </section>

        <section class="comments">
            <h2 class="text-center">Mises à jours</h2>
            {% for update in updates %}
                <article class="row">
                    <div class="col-md-2"></div>
                    <div class="col-md-8">
                        <div class="media g-mb-30 media-comment">
                            <img class="d-flex g-width-50 g-height-50 rounded-circle g-mt-3 g-mr-15" src="{{ contributors[comments[update.id].contributor_id].avatar }}" alt="Image Description">
                            <div class="media-body u-shadow-v18 g-bg-secondary g-pa-30">
                                <div class="g-mb-15">
                                    <div class="row">
                                        <div class="col-6 ">
                                            <h5 class="h5 g-color-gray-dark-v1 mb-0">{{ comments[update.id].title }}</h5>
                                        </div>
                                        <h5 class="h5 g-color-gray-dark-v1 mb-0 col-6">De : {{ contributors[comments[update.id].contributor_id].pseudo }}</h5>
                                    </div>

                                    <span class="g-color-gray-dark-v4 g-font-size-12">{{ comments[update.id].timeDiff }}</span>
                                </div>

                                <p>{{ comments[update.id].content }}</p>

                                <ul class="list-inline d-sm-flex my-0">
                                    <li class="list-inline-item g-mr-20">
                                        <a class="u-link-v5 g-color-gray-dark-v4 g-color-primary--hover" href="#!">
                                            <i class="fa fa-thumbs-up g-pos-rel g-top-1 g-mr-3"></i>
                                            178
                                        </a>
                                    </li>
                                    <li class="list-inline-item g-mr-20">
                                        <a class="u-link-v5 g-color-gray-dark-v4 g-color-primary--hover" href="#!">
                                            <i class="fa fa-thumbs-down g-pos-rel g-top-1 g-mr-3"></i>
                                            34
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2"></div>
                </article>
            {% endfor %}
        </section>
    </div>

    {% block include_js %}
        <script src="{{ INCLUDE_RAINBOW_DIR }}/rainbow.min.js"></script>
        <script src="{{ INCLUDE_RAINBOW_DIR }}/language/generic.js"></script>
        <script src="{{ INCLUDE_RAINBOW_DIR }}/language/{{ format.name }}.js"></script>
    {% endblock %}

{% endblock %}